program overlap

  implicit none
  integer :: i
  real, dimension(5) :: z, &
    x = (/ 1.,3.,5.,7.,9. /), &
    y = (/ 2.,4.,6.,8.,10. /)

  call addthem(x,y,z)

  do i = 1,5
    print*,z(i)
  enddo
 
  contains
  
  subroutine addthem(a,b,c)
  
  !real, dimension(:) :: a, b, c
  real, dimension(4) :: a, b, c
  
  c = a + b 

  end subroutine addthem 
    
end program overlap
